{-# LANGUAGE OverloadedStrings #-}

module Text.Pandoc.Util
  (
    meta,
    body,
    parseMarkdown
  ) where

import Data.Text                  qualified as T
import Text.Pandoc                qualified as P

meta :: P.Pandoc -> P.Meta
meta (P.Pandoc m _) = m

body :: P.Pandoc -> [P.Block]
body (P.Pandoc _ bs) = bs

parseMarkdown :: T.Text -> IO P.Pandoc
parseMarkdown s = P.runIO (P.readMarkdown markdownReaderOptions s) >>= P.handleError

markdownReaderOptions :: P.ReaderOptions
markdownReaderOptions = P.def { P.readerStandalone = True,
                                P.readerExtensions = P.pandocExtensions }
